<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE schema SYSTEM "schematron1-5.dtd">
<schema xmlns="http://www.ascc.net/xml/schematron">

<title>Country code validation</title>

<p>A demonstration of the use of Schematron.</p>

<phase id="only-one">
  <active pattern="check-currency"/>
</phase>

<pattern name="Checking currency values" id="check-currency">
  <rule id="currency-value" abstract="true">
    <assert test="
( @amountCurrencyID = 'CAD' and . >= .10 and . &lt;= 1000 ) or
( @amountCurrencyID = 'JPY' and . >= 10.00 and . &lt;= 100000 ) or
( @amountCurrencyID = 'USD' and . >= .10 and . &lt;= 1000 )
      ">Currency amount of "<value-of select="."/>" for the currency "<value-of select="@amountCurrencyID"/>" is out of the range of acceptable values.</assert>
  </rule>
  <rule context="*[@amountCurrencyID]">
    <extends rule="currency-value"/>
  </rule>
</pattern>

</schema>
